<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.tashow.cloud</groupId>
        <artifactId>tashow-module</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>tashow-module-product</artifactId>
    <packaging>jar</packaging>

    <dependencies>
        <!-- Registry 注册中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- Config 配置中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>
        <!-- 防止进入swagger页面报类型转换错误，排除3.0.0中的引用，手动增加1.6.2版本 -->
        <dependency>
            <groupId>io.swagger</groupId>
            <artifactId>swagger-models</artifactId>
            <version>1.6.2</version>
        </dependency>
        <!-- Swagger Core -->
        <dependency>
            <groupId>io.swagger.core.v3</groupId>
            <artifactId>swagger-core</artifactId>
            <version>2.2.20</version>
        </dependency>

        <!-- Swagger Models -->
        <dependency>
            <groupId>io.swagger.core.v3</groupId>
            <artifactId>swagger-models</artifactId>
            <version>2.2.20</version>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-monitor</artifactId>
        </dependency>

        <!-- EasyExcel 核心库 -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
            <version>4.0.3</version>
        </dependency>

        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-product-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-data-excel</artifactId>
            <version>${revision}</version>
        </dependency>
        <!-- RPC 远程调用相关 -->
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-rpc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-data-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-web</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-env</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-websocket</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-data-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-security</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <configuration>
                    <mainClass>com.tashow.cloud.product.ProductServerApplication</mainClass>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
